Bug 1464219 - [RFE] Export list of content host with operating system from satellite 6 server into a csv file
Summary: [RFE] Export list of content host with operating system from satellite 6 serv...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Tomer Brisker
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On: 1615800
Blocks: 1146867
TreeView+ depends on / blocked
 
Reported: 2017-06-22 16:55 UTC by Ganesh
Modified: 2019-11-05 23:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 19954 None None None 2017-06-22 17:38:40 UTC

Description Ganesh 2017-06-22 16:55:21 UTC
We can export a list of content host with operating system from satellite 6 server using below steps 

Login to satellite webui --> Content --> Errata --> search for errata --> Click on Content Hosts --> you will get list of content host profiles on which the selected errata is applicable.


RFE :- export list of content host with operating system from satellite 6 server into a csv file.

Comment 1 pm-sat@redhat.com 2017-06-22 18:05:33 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 2 pm-sat@redhat.com 2017-06-22 18:05:37 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 pm-sat@redhat.com 2017-07-03 16:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19954 has been resolved.

Comment 9 Nikhil Kathole 2018-08-14 12:18:04 UTC
Verification of this RFE is blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1615800 (Export list of content host do not honour search filter)

Comment 10 Nikhil Kathole 2018-09-20 12:42:23 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 22

Content host page export button exported hosts with operating system info. 

2018-09-20T08:37:38 [I|app|] Started GET "/hosts/content_hosts.csv?organization_id=1&search=&sort_by=name&sort_order=ASC" for IP at 2018-09-20 08:37:38 -0400
2018-09-20T08:37:38 [I|app|3833f] Processing by HostsController#content_hosts as CSV
2018-09-20T08:37:38 [I|app|3833f]   Parameters: {"organization_id"=>"1", "search"=>"", "sort_by"=>"name", "sort_order"=>"ASC"}
2018-09-20T08:37:38 [I|app|3833f] Current user: admin (administrator)
2018-09-20T08:37:38 [I|app|3833f] Completed 200 OK in 16ms (ActiveRecord: 2.1ms)

BZ1615800 is tracked for search filter search.

Comment 12 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.